import type { IUser } from '../api/types';
import { defineStore } from 'pinia';

export type AuthStoreState = {
  user: IUser | null;
};

export const useAuthStore = defineStore({
  id: 'authStore',
  state: () =>
    ({
      user: null,
    } as AuthStoreState),
  actions: {
    setAuthUser(user: IUser | null) {
      this.user = user;
    },
  },
});
